package com.explodingpixels.macwidgets;

import java.awt.Color;

public class WidgetBaseColors {
	
	// TODO Move to WidgetColorScheme for all widgets
	
    public static final Color EMPTY_COLOR = new Color(0, 0, 0, 0);

    // Leopard colors. 
    
    public static final Color LEOPARD_TOP_GRADIENT_COLOR = new Color(0xc2cfdd);
    public static final Color LEOPARD_BOTTOM_GRADIENT_COLOR = new Color(0x7d93b2);
    public static final Color LEOPARD_BORDER_COLOR = new Color(0x555555);

    // General System (Toolbar) colors
    
    public static final Color SYSTEM_ACTIVE_TOP_GRADIENT_COLOR = new Color(0xbbbbbb);
    public static final Color SYSTEM_ACTIVE_BOTTOM_GRADIENT_COLOR = new Color(0x969696);

    public static final Color SYSTEM_INACTIVE_TOP_GRADIENT_COLOR = new Color(0xe3e3e3);
    public static final Color SYSTEM_INACTIVE_BOTTOM_GRADIENT_COLOR = new Color(0xcfcfcf);

    public static final Color SYSTEM_BORDER_ACTIVE_COLOR = new Color(64, 64, 64);
    public static final Color SYSTEM_BORDER_INACTIVE_COLOR = new Color(135, 135, 135);

    public static final Color SYSTEM_BORDER_HIGHLIGHT_COLOR = new Color(255, 255, 255, 110);

    // LIGHT color scheme
    public static final Color LIGHT_ACTIVE_BACKGROUND_COLOR = new Color(0xd6dde5);
    public static final Color LIGHT_INACTIVE_BACKGROUND_COLOR = new Color(0xe8e8e8);
    public static final Color LIGHT_FONT_COLOR = Color.BLACK;
    public static final Color LIGHT_FONT_SHADOW_COLOR = new Color(0, 0, 0, 100);
    public static final Color LIGHT_ACTIVE_TOP_COLOR = new Color(0xa1b0cf);
    public static final Color LIGHT_ACTIVE_BOTTOM_COLOR = new Color(0x7185ab);
    public static final Color LIGHT_ACTIVE_SELECTED_TOP_COLOR = new Color(0x5d94d6);
    public static final Color LIGHT_ACTIVE_SELECTED_BOTTOM_COLOR = new Color(0x1956ad);
    public static final Color LIGHT_INACTIVE_TOP_COLOR = new Color(0xb4b4b4);
    public static final Color LIGHT_INACTIVE_BOTTOM_COLOR = new Color(0x8a8a8a);
     
    // DARK color scheme
    public static final Color DARK_HUD_BACKGROUND_COLOR = Color.black; // new Color(0, 0, 0, 100);
    public static final Color DARK_ACTIVE_BACKGROUND_COLOR = new Color(0x3e3e3e);
    public static final Color DARK_INACTIVE_BACKGROUND_COLOR = new Color(0x4e4e4e);
    public static final Color DARK_FONT_COLOR = Color.WHITE;
    public static final Color DARK_FONT_SHADOW_COLOR = new Color(0, 0, 0, 100);
    public static final Color DARK_ACTIVE_TOP_COLOR = new Color(0x4e4e4e);
    public static final Color DARK_ACTIVE_BOTTOM_COLOR = new Color(0x3e3e3e);
    public static final Color DARK_ACTIVE_SELECTED_TOP_COLOR = new Color(0xb4b4b4);
    public static final Color DARK_ACTIVE_SELECTED_BOTTOM_COLOR = new Color(0x8a8a8a);
    public static final Color DARK_INACTIVE_TOP_COLOR = new Color(0xb4b4b4);
    public static final Color DARK_INACTIVE_BOTTOM_COLOR = new Color(0x8a8a8a);
    public static final Color DARK_BORDER_HIGHLIGHT_COLOR = new Color(0x707070);
    
    // saved from HUDPaintingUtils
    private static final Color TOP_COLOR = new Color(170, 170, 170, 50);
    private static final Color BOTTOM_COLOR = new Color(17, 17, 17, 50);
    private static final Color TOP_PRESSED_COLOR = new Color(249, 249, 249, 153);
    private static final Color BOTTOM_PRESSED_COLOR = new Color(176, 176, 176, 153);

}
